Subject: Re: [pim] RtgDir review: draft-ietf-pim-igmp-mld-yang-10.txt

From: Xufeng Liu <[email-masked]>
Date: Mon, 29 Apr 2019 11:10:55 -0400

Hi Jia,

We have posted the updated
https://tools.ietf.org/html/draft-ietf-pim-igmp-mld-yang-11 to address
these issues.
Thanks,
- Xufeng

On Fri, Feb 8, 2019 at 11:28 AM Hejia (Jia) <[email-masked]> wrote:

> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft.
> The Routing Directorate seeks to review all routing or routing-related
> drafts as they pass through IETF last call and IESG review, and sometimes
> on special request. The purpose of the review is to provide assistance to
> the Routing ADs. For more information about the Routing Directorate, please
> see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could consider them along with any other IETF Last
> Call comments that you receive, and strive to resolve them through
> discussion or by updating the draft.
>
>
>
> Document: draft-ietf-pim-igmp-mld-yang-10.txt
> Reviewer: Jia He
> Review Date: 2019-02-08
> IETF LC End Date: 2019-02-08
> Intended Status: Standard Track
>
>
>
> *Summary:*
> This document is basically ready for publication, but has nits that should
> be considered prior to publication.
>
>
>
> *Comments:*
>
> The draft defines a YANG data model to configure and manage IGMP and MLD
> protocols. The model itself is clear. But some clarification are
> appreciated in the scope description.
>
>
>
> *Major Issues:*
>
> No major issues found.
>
>
>
> *Minor Issues:*
>
> No minor issues found.
>
>
>
> *Nits:*
>
> 1)      In Section 1.3, the sentence before Table 1 seems not completed.
>
[Xufeng]: Fixed.

> 2)      Section 2.1 says “The configuration of IGMP and MLD features, and
> the operational state fields and RPC definitions are *not all* included
> in this   document of the data model.” It is not clear whether it is “not
> all IGMP and MLD features” or “not all configuration…” I assume the first
> one but it still doesn’t give much information of the scope. Is it possible
> to briefly describe what are not included?
>
[Xufeng]: Rephrased the paragraph to clarify. The following link provides
the survey on various implement ions.

*https://trac.ietf.org/trac/pim/wiki/yang
<https://trac.ietf.org/trac/pim/wiki/yang>*

The parameters implemented only once are not included in the model. The
examples are:
other-querier-present-time
send-router-alert
passive interface
drop igmpv1
drop igmpv2/mldv1

Sections 2.1.1. and 2.1.2. have been added to described these parameters.

> 3)      Section 2.2 mentions “*basic subsets* of the IGMP and MLD
> protocols”. Is the “basic subsets” something that has consensus in IETF?
> Otherwise, better to explain what they are in this document.
>
[Xufeng]: Yes, as summarized in:

*https://trac.ietf.org/trac/pim/wiki/yang
<https://trac.ietf.org/trac/pim/wiki/yang>*

> Thanks!
> B.R.
> Jia